/******************************************************************************
 * Copyright (c) 2024 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the terms
 * of the MIT License which is available at https://opensource.org/licenses/MIT
 *
 *  SPDX-License-Identifier: MIT
 *****************************************************************************/

/* Rail diagram language for highlight.js 11.9.0. */
(() => {
    var e = (() => {
        "use strict";
        return e => {
            return {
                name: "Rail diagram",
                aliases: ["rail"],
                contains: [
                    {
                        scope: "comment",
                        begin: '#',
                        end: '$',
                    },
                    {
                        scope: "string",
                        begin: '"',
                        end: '"',
                        contains: [
                            {
                                scope: "char.escape",
                                match: /\\[\\"]/,
                            }
                        ]
                    },
                    {
                        scope: "string",
                        begin: "'",
                        end: "'",
                        contains: [
                            {
                                scope: "char.escape",
                                match: /\\[\\']/,
                            }
                        ]
                    },
                    {
                        scope: "title",
                        begin: "\\[",
                        end: "\\]",
                        contains: [
                            {
                                scope: "char.escape",
                                match: /\\[\\\]]/,
                            }
                        ]
                    }
                ]
            }
        }
    })();
    hljs.registerLanguage("raildiagram", e)
})();
